$(document).ready(function () {
    "use strict";
    
    // Свернуть-развернуть дочерние ячейки в таблице:
    $('.table.campaigns').on('click', 'span.group', function(e) {

        var
            $this = $(this),
            $tableBody = $('tbody', $this.parents('table')),
            $wrap = $this.parents('tr').eq(0),
            id = $wrap.data('id'),
            isOpen,
            $subcats = $('tr.campaign-item[data-parent="'+ id + '"]', $tableBody);

        $this.toggleClass('open');
        isOpen = $this.hasClass('open');

        if (isOpen) {
            $subcats.addClass('open');
        } else {
            $subcats.removeClass('open');
        }

    });
    
    // Разворачиваем списки групп кампаний при старте:
    $('.table.campaigns span.group').click();
    
});

